# Permissions
Constantes: 115  
https://developer.android.com/reference/android/Manifest.permission  

- `ACCESS_COARSE_LOCATION`
- `ACCESS_FINE_LOCATION`
- `ACCESS_LOCATION_EXTRA_COMMANDS`
- `ACCESS_NETWORK_STATE`
- `ACCESS_NOTIFICATION_POLICY`
- `ACCESS_WIFI_STATE`
- `ACCOUNT_MANAGER`
- `ACTIVITY_RECOGNITION`
- `ADD_VOICEMAIL`
- `ANSWER_PHONE_CALLS`
- `BATTERY_STATS`
- `BIND_ACCESSIBILITY_SERVICE`
- `BIND_APPWIDGET`
- `BIND_DEVICE_ADMIN`
- `BIND_INPUT_METHOD`
- `BIND_NFC_SERVICE`
- `BIND_NOTIFICATION_LISTENER_SERVICE`
- `BIND_PRINT_SERVICE`
- `BIND_REMOTEVIEWS`
- `BIND_TEXT_SERVICE`
- `BIND_VPN_SERVICE`
- `BLUETOOTH`
- `BLUETOOTH_PRIVILEGED`
- `BODY_SENSORS`
- `BROADCAST_PACKAGE_REMOVED`
- `BROADCAST_SMS`
- `BROADCAST_STICKY`
- `BROADCAST_WAP_PUSH`
- `CALL_PHONE`
- `CALL_PRIVILEGED`
- `CAMERA`
- `CAPTURE_AUDIO_OUTPUT`
- `CHANGE_COMPONENT_ENABLED_STATE`
- `CHANGE_CONFIGURATION`
- `CHANGE_NETWORK_STATE`
- `CHANGE_WIFI_MULTICAST_STATE`
- `CHANGE_WIFI_STATE`
- `CLEAR_APP_CACHE`
- `CONTROL_LOCATION_UPDATES`
- `DELETE_CACHE_FILES`
- `DELETE_PACKAGES`
- `DIAGNOSTIC`
- `DISABLE_KEYGUARD`
- `DUMP`
- `EXPAND_STATUS_BAR`
- `FOREGROUND_SERVICE`
- `GET_ACCOUNTS`
- `GET_PACKAGE_SIZE`
- `GET_TASKS`
- `GLOBAL_SEARCH`
- `INSTALL_LOCATION_PROVIDER`
- `INSTALL_PACKAGES`
- `INSTALL_SHORTCUT`
- `KILL_BACKGROUND_PROCESSES`
- `LOCATION_HARDWARE`
- `MANAGE_DOCUMENTS`
- `MASTER_CLEAR`
- `MEDIA_CONTENT_CONTROL`
- `MODIFY_AUDIO_SETTINGS`
- `MODIFY_PHONE_STATE`
- `MOUNT_FORMAT_FILESYSTEMS`
- `MOUNT_UNMOUNT_FILESYSTEMS`
- `NFC`
- `PACKAGE_USAGE_STATS`
- `PERSISTENT_ACTIVITY`
- `PROCESS_OUTGOING_CALLS`
- `READ_CALENDAR`
- `READ_CALL_LOG`
- `READ_CONTACTS`
- `READ_EXTERNAL_STORAGE`
- `READ_INPUT_STATE`
- `READ_LOGS`
- `READ_PHONE_NUMBERS`
- `READ_PHONE_STATE`
- `READ_SMS`
- `READ_SYNC_SETTINGS`
- `READ_SYNC_STATS`
- `REBOOT`
- `RECEIVE_BOOT_COMPLETED`
- `RECEIVE_MMS`
- `RECEIVE_SMS`
- `RECEIVE_WAP_PUSH`
- `RECORD_AUDIO`
- `REORDER_TASKS`
- `REQUEST_IGNORE_BATTERY_OPTIMIZATIONS`
- `REQUEST_INSTALL_PACKAGES`
- `RESTART_PACKAGES`
- `SEND_RESPOND_VIA_MESSAGE`
- `SEND_SMS`
- `SET_ALARM`
- `SET_ALWAYS_FINISH`
- `SET_ANIMATION_SCALE`
- `SET_DEBUG_APP`
- `SET_PREFERRED_APPLICATIONS`
- `SET_PROCESS_LIMIT`
- `SET_WALLPAPER`
- `SIGNAL_PERSISTENT_PROCESSES`
- `STATUS_BAR`
- `SYSTEM_ALERT_WINDOW`
- `TRANSMIT_IR`
- `UNINSTALL_SHORTCUT`
- `UPDATE_DEVICE_STATS`
- `USE_FINGERPRINT`
- `USE_SIP`
- `VIBRATE`
- `WAKE_LOCK`
- `WRITE_APN_SETTINGS`
- `WRITE_CALENDAR`
- `WRITE_CALL_LOG`
- `WRITE_CONTACTS`
- `WRITE_EXTERNAL_STORAGE`
- `WRITE_GSERVICES`
- `WRITE_SECURE_SETTINGS`
- `WRITE_SETTINGS`
- `WRITE_SYNC_SETTINGS`


# Permissions Removed
Constantes: 31  
https://developer.android.com/sdk/api_diff/29/changes/android.Manifest.permission  
https://developer.android.com/sdk/api_diff/23/changes/android.Manifest.permission  
https://developer.android.com/sdk/api_diff/9/changes/android.Manifest.permission  

- `CAPTURE_SECURE_VIDEO_OUTPUT`
- `CAPTURE_VIDEO_OUTPUT`
- `READ_FRAME_BUFFER`
- `ACCESS_SURFACE_FLINGER`
- `AUTHENTICATE_ACCOUNTS`
- `BRICK`
- `CLEAR_APP_USER_DATA`
- `DEVICE_POWER`
- `FORCE_BACK`
- `GET_TOP_ACTIVITY_INFO`
- `INJECT_EVENTS`
- `INTERNAL_SYSTEM_WINDOW`
- `MANAGE_ACCOUNTS`
- `MANAGE_APP_TOKENS`
- `READ_HISTORY_BOOKMARKS`
- `READ_PROFILE`
- `READ_SOCIAL_STREAM`
- `READ_USER_DICTIONARY`
- `SET_ACTIVITY_WATCHER`
- `SET_ORIENTATION`
- `SET_POINTER_SPEED`
- `SUBSCRIBED_FEEDS_READ`
- `SUBSCRIBED_FEEDS_WRITE`
- `USE_CREDENTIALS`
- `WRITE_HISTORY_BOOKMARKS`
- `WRITE_PROFILE`
- `WRITE_SMS`
- `WRITE_SOCIAL_STREAM`
- `WRITE_USER_DICTIONARY`
- `READ_OWNER_DATA`
- `WRITE_OWNER_DATA`
- `BIND_JOB_SERVICE`
- `MANAGE_USERS`


# Google Permissions
Constantes: 7  
http://www.androidpermissions.com/  

- `BROADCAST_DATA_MESSAGE`
- `GTALK_SERVICE`
- `GOOGLE_AUTH`
- `GOOGLE_AUTH.wise`
- `GOOGLE_AUTH.writely`
- `READ_GSERVICES`
- `GOOGLE_AUTH.mail`


# Google Gmail Permissions
Constantes: 4  
https://developers.google.com/gmail/android/com/google/android/gm/contentprovider/GmailContract.html#PERMISSION  
https://android.googlesource.com/platform/packages/apps/UnifiedEmail/+/61b82a8/AndroidManifest.xml  
https://android.googlesource.com/platform/packages/apps/Email/+/refs/heads/master/AndroidManifest.xml  

- `READ_CONTENT_PROVIDER`
- `READ_GMAIL`
- `WRITE_GMAIL`
- `READ_ATTACHMENT`


# Google Settings Permissions
Constantes: 7  
https://android.googlesource.com/platform/packages/apps/Settings/+/refs/heads/master/AndroidManifest.xml  

- `ACCESS_NOTIFICATIONS`
- `FORCE_STOP_PACKAGES`
- `INTERACT_ACROSS_USERS_FULL`
- `MANAGE_DEVICE_ADMINS`
- `MANAGE_USB`
- `MOVE_PACKAGE`
- `WRITE_MEDIA_STORAGE`


# Google Browser Permissions
Constantes: 7  
https://android.googlesource.com/platform/packages/apps/Browser/+/refs/heads/master/AndroidManifest.xml  

- `SEND_DOWNLOAD_COMPLETED_INTENTS`